Gallery Platform API
Reference

Get a document preset

Returns one named document presentation preset.

GET
/gallery/document-presets/{id}

Returns one named document presentation preset.

Authorization

bearerAuth gallery:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: gallery:read

Path Parameters

id*string

The document preset id.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "name": "string",  "document_kind": "checklist",  "is_default": true,  "accent_color": "string",  "font_family": "sans",  "font_id": "string",  "overrides": {    "property1": null,    "property2": null  },  "created_at": "string",  "updated_at": "string"}